Bug 15902 - "Remember authorization" should not be selected by default
Summary: "Remember authorization" should not be selected by default
Status: RESOLVED WORKSFORME
Alias: None
Product: PackageKit
Classification: Unclassified
Component: General (show other bugs)
Version: unspecified
Hardware: All All
: medium normal
Assignee: Richard Hughes
QA Contact:
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2008-05-11 06:50 UTC by Jarkko
Modified: 2011-03-14 02:55 UTC (History)
0 users

See Also:
i915 platform:
i915 features:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Jarkko 2008-05-11 06:50:55 UTC
"Remember authorization" should not be selected by default.

If I want to do that and I select that, that is not asked again. But now that I don't want to do that (because I really don't want the root password to be stored in my home directory as plain text), I need to deselect that every time.

It would be more logical the other way around - and usable (and secure).
Comment 1 Richard Hughes 2008-05-12 02:04:24 UTC
>I really don't want the root password to be stored in my home directory as plain text

It's not, I assure you. I'll ask DavidZ about deselecting the checkbox by default.

Richard.
Comment 2 Jarkko 2008-05-12 15:37:52 UTC
I read the PolicyKit documentation. Yes, storing the authorization is implemented securely (as it only stores the authorization - no passwords). No problems there.

But my other points are still valid I think. Even the security factor remains because giving e.g. installation permission for ordinary user is something which should only happen if the administrator actually wants it - even when the ordinary user is the same person as the administrator.

My main point is the usability factor.
Comment 3 Jean-François Fortin Tam 2011-03-11 13:54:03 UTC
Richard, this seems to have been fixed by now, no?
Comment 4 Richard Hughes 2011-03-14 02:55:30 UTC
(In reply to comment #3)
> Richard, this seems to have been fixed by now, no?

Yup, thanks.

Richard.


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct. How we collect and use information is described in our Privacy Policy.